import * as Promise from 'bluebird';
export declare class DockerMachine {
    private options;
    constructor(options?: Options);
    command(command: string, callback?: (err, data) => void): Promise<any>;
}
export interface Options {
    driver: Driver;
    currentWorkingDirectory?: string;
}
export interface Driver {
    toParams(): string;
}
export declare class EmptyDriver implements Driver {
    toParams(): string;
}
export declare class AWSDriver implements Driver {
    private accessKey;
    private secretKey;
    private region;
    private vpcId;
    private ami;
    private zone;
    private instanceType;
    private rootSize;
    constructor(accessKey: string, secretKey: string, region: string, vpcId: string, ami: string, zone: string, instanceType: string, rootSize: string);
    toParams(): string;
}
